// *** WARNING: this file was generated by pulumi. ***
// *** Do not edit by hand unless you're certain you know what you are doing! ***

using System;
using System.Collections.Generic;
using System.Collections.Immutable;
using System.Threading.Tasks;
using Pulumi.Serialization;

namespace Pulumi.Pvecluster.Inputs
{

    public sealed class NodeConfigArgs : global::Pulumi.ResourceArgs
    {
        [Input("connection")]
        public Input<Inputs.ConnectionConfigArgs>? Connection { get; set; }

        [Input("disks", required: true)]
        public Input<Inputs.DiskConfigArgs> Disks { get; set; } = null!;

        [Input("host", required: true)]
        public Input<string> Host { get; set; } = null!;

        public NodeConfigArgs()
        {
        }
        public static new NodeConfigArgs Empty => new NodeConfigArgs();
    }
}
